/**
 * 生产管理 - 部件详情
 *  数据对象的Dto
 * */

/**
 * @name: 数据对象接口
 * @description: 生产管理 - 部件详情 - 基本信息item
 * @author wyoujia
 * @date 2023-29-24 16:29:22
 */
export interface goodsInformationBasicItem{
  /**基本信息-标题 */
  goodsTitle: string | null
  /**基本信息-值 */
  goodsValue: string | null
}

/**
 * @name: 数据对象接口
 * @description: 图片对象 title - imgUrl
 * @author wyoujia
 * @date 2023-21-24 17:21:21
 */
export interface imageInter {
  /**图片url */
  imgUrl: string| null
  /**图片title */
  title: string | null
}
/**
 * @name: 数据对象接口
 * @description: 生产管理 - 部件详情 - 基本信息
 * @author wyoujia
 * @date 2023-23-24 16:23:48
 */
export interface goodsInformationBasic {
  /**基本信息item */
  basicInfo: goodsInformationBasicItem [] | null
  /**基本信息图片 */
  goodsImg: imageInter
}

/**
 * @name: 数据对象接口
 * @description: 生产管理 - 部件详情 - 生产日志
 * @author wyoujia
 * @date 2023-44-24 16:44:02
 */
export interface productionLog {
  /**生产时间 */
  dateOfManufacture: Date | null,
  /**操作人 */
  operator: string | null,
  /**工序 */
  workingProcedure: string | null,
  /**状态 */
  state: number | null,
  /**生产图片 */
  productionPictures: string | null,
  /**备注 */
  remarks: string | null
}

/**
 * @name: 数据对象接口
 * @description: 生产管理 - 部件详情 - 报警日志
 * @author wyoujia
 * @date 2023-48-24 16:48:49
 */
export interface alarmLog {
  /**报警日期 */
  alarmDate: Date | null,
  /**事件名称 */
  eventName: string | null,
  /**备注 */
  remarks: string | null,
  /**状态 */
  state: number | null
}

/**
 * @name: 数据对象接口
 * @description: 生产管理 - 部件详情
 * @author wyoujia
 * @date 2023-53-24 16:53:14
 */
export interface adminProductGoodsInfoDto {
  /**显示加载效果 */
  loading: boolean,
  /**图片是否方法显示 */
  showBig: boolean
  /**放大图片的url */
  imageUrl: string | null
  /**基础信息 */
  basicInformation: goodsInformationBasic,
  /**生产日志 */
  productionLog: productionLog[] | null,
  /**报警日志 */
  alarmLog: alarmLog [] | null,
}
